#ifndef _URL_H
#define _URL_H

typedef struct _url {
	char *fullname;

	char *scheme;
	char *net_path;
	char *abs_path;

	char *net_node; // just the domain
	char *net_service; // http, port number 
} url_t;

void url_free(url_t *);
url_t *url_parse(const char *);


#endif
